import request from '@/assets/js/utils/request'
/*
* 招标项目踏勘路由表
* */

// 项目经理-获取投标人踏勘信息
export function getSupplierExplorationInfo(data) {
  return request({
    url: '/bidprocurement/bidding-exploration/exploration/getSupplierExplorationInfo',
    method: 'post',
    data
  })
}
// 项目经理-招标文件未制作标段
export function getUnmarkedExplorationPackageList(data) {
  return request({
    url: '/bidprocurement/bidding-exploration/exploration/getUnmarkedExplorationPackageList',
    method: 'post',
    data
  })
}
// 项目经理-查询踏勘通知列表
export function listTenderExplorationPages(data) {
  return request({
    url: '/bidprocurement/bidding-exploration/exploration/listTenderExplorationPages',
    method: 'post',
    data
  })
}

// 存储踏勘
export function saveWinningBidder(data) {
  return request({
    url: '/bidprocurement/bidding-exploration/exploration/saveWinningBidder',
    method: 'post',
    data
  })
}

// 项目经理-通过踏勘id获取详细信息
export function getTenderExplorationById(id) {
  return request({
    url: '/bidprocurement/bidding-exploration/exploration/getTenderExplorationById/' + id,
    method: 'post'
  })
}

// 项目经理-删除踏勘信息
export function removeExplorationById(id) {
  return request({
    url: '/bidprocurement/bidding-exploration/exploration/removeExplorationById/' + id,
    method: 'post'
  })
}

// 保存踏勘起始时间和内容
export function saveExplorationInfo(data) {
  return request({
    url: '/bidprocurement/bidding-exploration/exploration/saveExplorationInfo',
    method: 'post',
    data
  })
}
